/*
  netype (Sample NTS Client) callbacks.h

  Copyright (C) 2000 Raiko FUNAKAMI

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <gtk/gtk.h>


gboolean
on_win_main_key_press_event            (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
delete_event                           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
destroy_event                          (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_btn_setting_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_start_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_quit_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_info_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_darea_configure_event               (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_darea_expose_event                  (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);


void
on_btn_setting_ok_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_setting_cancel_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_start_dialog_ok_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_button4_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_setting_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_setting_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_info_ok_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_info_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_setting_ok_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_connection_error_dialog_ok_clicked(GtkButton       *button,
					  gpointer         user_data);

void
on_btn_game_over_ok_clicked        (GtkButton       *button,
				    gpointer         user_data);

gboolean
on_darea_game_over_configure_event     (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_darea_game_over_expose_event        (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_btn_start_error_dialog_ok_clicked   (GtkButton       *button,
                                        gpointer         user_data);
