/*
  netype (Sample NTS Client) animate.h

  Copyright (C) 2000 Raiko FUNAKAMI

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef ANIMATE_H
#define ANIMATE_H

#include <gtk/gtk.h>

/*
  ץ饤

*/
typedef struct{
  char **xpm_data;
  GdkPixmap *pixmap;
  GdkBitmap *mask;
} type_sprite;


struct type_actor;
typedef gboolean (*MotionFunc)(struct type_actor *actor, gpointer data);
/*
  ˥᡼

*/
typedef struct type_actor {
  gint seq;        /* ߤΥե졼 */
  gint n_sequences;/* ե졼     */

  gint x;        /* ߤκɸ */
  gint y;  
  gint height;   /* 礭     */
  gint width;   

  gint repeat;   /* ԡȿ (ޥʥʤʵ) */
  gint repeat_counter;

  type_sprite *sprites; /* ץ饤ȥǡ */
  MotionFunc m_func;    /* ⡼ؿ   */

  GSList *children; /*  ưαƶͿ */
} type_actor;




type_actor* type_actor_new();
void type_actor_free(type_actor* actor);
type_actor* type_actor_dup(type_actor* a);


void load_pixmaps(GtkWidget *widget, type_actor *actor, type_sprite *sprites);
void motion_set(type_actor *actor, gint repeat, MotionFunc func);
gboolean draw_sprite(GdkPixmap *pixmap, GdkGC *gc, type_actor *actor);

GSList* append_animate(GSList *list, type_actor **actor);
GSList* remove_animate(GSList *list, type_actor **actor) ;
GSList* draw_animation(GSList *list, GdkPixmap *pixmap, GdkGC *gc, gpointer data);


/* ⡼ */
gboolean motion_neko_leave(type_actor *actor, gpointer data);
gboolean motion_neko_nomove(type_actor *actor, gpointer data);
gboolean motion_neko_steal(type_actor *actor, gpointer data);

#endif ANIMATE_H


